CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

厚度属性(ActiveX)

2023-1-3 03:22| 发布者: admin| 查看: 206| 评论: 0|来自: AutoCAD

摘要: 指定二维 AutoCAD 对象在其高程上方或下方拉伸的距离。

指定二维 AutoCAD 对象在其高程上方或下方拉伸的距离。

支持的平台:仅窗口

签名

工 务 局:

object.Thickness
对象

类型:,属性,属性参考线LWPolyline折线形状实体文本描摹

此属性适用的对象。

属性值

只读:

类型:

默认值为 0.0。

言论

更改对象的厚度会更改其Z方向厚度。



更改三维折线、尺寸或浮动视口的厚度不起作用。

例子

工 务 局:

Sub Example_Thickness()
    ' This example creates a circle in model space
    ' and changes the thickness of the circle.
   
    Dim circleObj As AcadCircle
    Dim centerPoint(0 To 2) As Double
    Dim radius As Double
    
    ' Define the circle
    centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0#
    radius = 5#
    
    ' Create the Circle object in model space
    Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius)
    ZoomAll
    
    ' Find the current thickness of the circle
    Dim currThickness As Double
    currThickness = circleObj.Thickness
    MsgBox "The thickness of the circle is " & circleObj.Thickness, vbInformation, "Thickness Example"
    
    ' Change the thickness of the circle
    circleObj.Thickness = currThickness + 3
    circleObj.Update
    
    ' Change the direction of the viewport so that you can
    ' view the change made to the thickness. Once you change
    ' the direction, you must reset the active viewport.
    Dim NewDirection(0 To 2) As Double
    NewDirection(0) = -1: NewDirection(1) = -1: NewDirection(2) = 1
    ThisDrawing.ActiveViewport.direction = NewDirection
    ThisDrawing.ActiveViewport = ThisDrawing.ActiveViewport
    MsgBox "The thickness of the circle is now " & circleObj.Thickness, vbInformation, "Thickness Example"
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Thickness()
    ;; This example creates a circle in model space
    ;; and changes the thickness of the circle.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the circle
    (setq centerPoint (vlax-3d-point 0 0 0)  
          radius 5)
    
    ;; Create the Circle object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq circleObj (vla-AddCircle modelSpace centerPoint radius))
    (vla-ZoomAll acadObj)
    
    ;; Find the current thickness of the circle
    (setq currThickness (vla-get-Thickness circleObj))
    (alert (strcat "The thickness of the circle is " (rtos currThickness 2)))
    
    ;; Change the thickness of the circle
    (vla-put-Thickness circleObj (+ currThickness 3))
    (vla-Update circleObj)
    
    ;; Change the direction of the viewport so that you can
    ;; view the change made to the thickness. Once you change
    ;; the direction, you must reset the active viewport.
    (setq NewDirection (vlax-3d-point -1 -1 1))
    (setq activeViewport (vla-get-ActiveViewport doc))
    (vla-put-Direction activeViewport NewDirection)
    (vla-put-ActiveViewport doc activeViewport)
    (vla-ZoomAll acadObj)

    (alert (strcat "The thickness of the circle is now " (rtos (vla-get-Thickness circleObj) 2)))
    
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 13:05

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部